@import url(/public/template-8/src/general.css);


.cover {
    position: relative;
    width: 562px;
    height: 100vh;
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    justify-content: space-between;
}

.cover p {
    font-family: Atma;
    font-size: 32px;
    color: var(--primary-color);
}

.cover p {
    font-family: Atma;
    font-size: 32px;
    color: var(--primary-color);
}

.cover .cover-couple {
    width: 200px;
    height: 274px;
    margin: 40px 0;
    object-fit: cover;
}

.cover h1 {
    font-family: 'Snell';
    z-index: 1;
    font-size: 52px;
    color: var(--primary-color);
}

.cover .date {
    margin-top: 8px;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    gap: 16px;
    z-index: 1;
}

.cover .date p {
    z-index: 2;
    font-family: 'Alegreya';
    font-size: 32px;
    color: var(--primary-color);
}

.cover .content {
    z-index: 3;
    position: relative;
    width: 100%;
    height: 100%;
    padding: 52px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    justify-content: space-between;
}

.cover .line {
    width: 10%;
    background-color: var(--primary-color);
    height: 2px;
}

.cover .greetings {
    z-index: 1;
    margin-top: 35px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cover .greetings p {
    font-family: 'Alegreya';
}


.cover .greetings p:nth-child(1) {
    font-size: 13px;
    font-weight: 400;
}

.cover .greetings p:nth-child(2) {
    font-size: 13px;
}

.cover .greetings p:nth-child(3) {
    font-family: 'Boska';
    text-align: center;
    font-size: 18px;
    font-weight: 900;
    letter-spacing: 2.4px;
    text-transform: uppercase;
    margin-top: 8px;
    width: 80%;
}


/* Ornament */
.cover .ornaments-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    z-index: 1;
    overflow: hidden;
}

.cover .ornaments-wrapper .butterfly-1 {
    position: absolute;
    right: 6%;
    top: 20%;
    width: 8%;
}

.cover .ornaments-wrapper .butterfly-2 {
    position: absolute;
    transform: rotate(45deg);
    top: 50%;
    left: 10%;
    width: 7%;
}

.cover .ornaments-wrapper .flowers-1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 26%;
}

.cover .ornaments-wrapper .flowers-2 {
    position: absolute;
    bottom: 40%;
    right: 0;
    width: 26%;
    transform: rotateZ(330deg);
}


/* End Ornament */

/* Line Ornament */

.cover .orn-line-1 {
    position: absolute;
    width: 100%;
    height: 100vh;
    padding: 20px;
    box-sizing: border-box;
}

.cover .orn-line-1 .line-outside-1,
.cover .orn-line-1 .line-inside-1 {
    clip-path: polygon(23% 0, 80% 0%, 100% 10%, 100% 90%, 76% 100%, 20% 100%, 0 92%, 0 8%);
}

.cover .orn-line-1 .line-outside-1 {
    position: relative;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    background: var(--secondary-color);
}

.cover .orn-line-1 .line-inside-1 {
    position: absolute;
    top: 2.5px;
    left: 2.5px;
    right: 2.5px;
    bottom: 2.5px;
    background: var(--bg-color);
}

.cover .orn-line-2 {
    position: absolute;
    width: 100%;
    height: 100vh;
    padding: 32px;
    box-sizing: border-box;
}

.cover .orn-line-2 .line-outside-2 {
    border: 2.5px solid var(--secondary-color);
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

/* Couple Image Cover */

.slick-list {
    width: 200px !important;
    height: 316px;
}

.slick-track {
    width: 100% !important;
    height: 100% !important;
}

.slick-active {
    height: 100% !important;
}

.slick-active img {
    height: 100%;
    object-fit: cover;
}

/* End Line Ornament */

@media (max-width: 562px) {
    .cover {
        width: 100%;
    }

    .cover p {
        font-size: 26px;
    }

    .cover .content {
        justify-content: space-evenly;
    }

    .cover .greetings p:nth-child(1) {
        font-size: 14px;
    }

    .cover .greetings p:nth-child(2) {
        font-size: 14px;
    }

    .cover h1 {
        font-size: 8vw;
    }

    .cover .date p {
        font-size: 4vw;
    }

    .cover .cover-couple {
        width: 50vw;
    }

    .slick-list {
        width: 45vw !important;
        height: 66vw;
    }

}
